CSH.DisplayHelpFromSource
Keywords: javax.help.CSH.DisplayHelpFromSource class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Class CSH.DisplayHelpFromSource

    java.lang.Object
      javax.help.CSH.DisplayHelpFromSource

All Implemented Interfaces:
  java.awt.event.ActionListener, java.util.EventListener

Enclosing class:
  CSH

public static class CSH.DisplayHelpFromSource
extends java.lang.Object
implements java.awt.event.ActionListener

An ActionListener that gets the helpID for the action source and displays the helpID in the help viewer.

See Also:
  `HelpBroker.enableHelp`

Constructor Summary
`CSH.DisplayHelpFromSource(HelpBroker hb)`
`CSH.DisplayHelpFromSource(HelpSet hs, java.lang.String presentation, java.lang.String presentationName)` Create a DisplayHelpFromSource actionListener for a given HelpSet.

Method Summary
`void` | `actionPerformed(java.awt.event.ActionEvent e)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CSH.DisplayHelpFromSource

    public CSH.DisplayHelpFromSource(HelpBroker hb)

### CSH.DisplayHelpFromSource

    public CSH.DisplayHelpFromSource(HelpSet hs,
                                     java.lang.String presentation,
                                     java.lang.String presentationName)

  Create a DisplayHelpFromSource actionListener for a given HelpSet. Display the results in specific Presentation of given PresentationName.

Parameters:
  `hs` - A valid HelpSet.
Throws:
  `java.lang.NullPointerException` - if hs is Null.
  `java.lang.IllegalArgumentException` - if presentation is not valid.

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD